<?php

namespace jrosset\CliProgram\Validation\Validators;

/**
 * Implementation to get a valid default value identical to the initial/given default value
 *
 * @see IValidator
 */
trait TIdenticalValidDefaultValidator {
    /**
     * @inheritDoc
     */
    public function getValidDefault (mixed $default): string|bool|int|float|array|null {
        return $default;
    }
}