<?php

namespace jrosset\Tests;

use Attribute;
use jrosset\CliProgram\Requirements\IRequirements;
use LogicException;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

#[Attribute(Attribute::TARGET_CLASS)]
class FailedRequirement implements IRequirements {
    /**
     * @inheritDoc
     */
    public function checkRequirements (InputInterface $input, OutputInterface $output): void {
        throw new LogicException('The "foo" requirement failed');
    }
}