<?php

namespace jrosset\CliProgram\Requirements;

use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Throwable;

/**
 * Interface for a command requirements
 */
interface IRequirements {
    /**
     * Check the requirements
     *
     * @param InputInterface  $input  The command input
     * @param OutputInterface $output The command output
     *
     * @return void
     *
     * @throws Throwable If a requirement failed
     */
    public function checkRequirements (InputInterface $input, OutputInterface $output): void;
}
