<?php

namespace jrosset\CliProgram\Validation\Validators;

/**
 * An argument/option value validator expecting an email address
 */
class EmailValidator implements IValidator {
    use TInternalValueValidator;
    use TIdenticalValidDefaultValidator;

    /**
     * @inheritDoc
     */
    public function validate (mixed $value): bool {
        if (!filter_var($value, FILTER_VALIDATE_EMAIL)) {
            return false;
        }

        $this->setValue($value);
        return true;
    }
}